﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using Portal.Models.SupplierFeedbackPart; 

@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
    <tr>
        <td style="vertical-align:top">
            <table cellpadding="0" cellspacing="0" style="width: 100%; border: 1 solid #c0c0c0;">
                <tr>
                    <td rowspan="3" style="width: 150px; border: 1px solid #c0c0c0; font-weight: bolder;
                        padding-left: 5px; text-align: center;">
                        Overal Capability
                    </td>
                </tr>
                <tr>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0; height: 30px">
                        N<br />Month
                    </td>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0">
                        N+1<br />Month
                    </td>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0">
                        N+2<br />Month
                    </td>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0">
                        N+3<br />Month
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="middle" style="border: 1px solid #c0c0c0; height: 30px;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHNMonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHNMonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_REPLIED")) == true ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHNMonthLabel";
                                
                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");
                                
                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);
                                
                                Boolean isValid = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_REPLIED")) == true ? true : false;
                                if (isValid)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_STATUS"));
                                    
                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;                                
                            }).GetHtml()
                    </td>
                    <td align="center" valign="middle" style="border: 1px solid #c0c0c0;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHN1MonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHN1MonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_1_REPLIED")) == true ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHN1MonthLabel";
                                
                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");
                                
                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);
                                                                
                                Boolean isReplied = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_1_REPLIED")) == true ? true : false;
                                if (isReplied)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_1_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_1_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }                                 
                                else
                                    settings.ClientVisible = false;
                            }).GetHtml()
                    </td>
                    <td align="center" valign="middle" style="border: 1px solid #c0c0c0;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHN2MonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHN2MonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_2_REPLIED")) == true ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHN2MonthLabel";

                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");
                                
                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);
                                
                                Boolean isValid = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_2_REPLIED")) == true ? true : false;
                                if (isValid)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_2_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_2_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;                                
                            }).GetHtml()
                    </td>
                    <td align="center" style="border: 1px solid #c0c0c0;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHN3MonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHN3MonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_3_REPLIED")) == true ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHN3MonthLabel";

                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");
                                
                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);
                                
                                Boolean isValid = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_3_REPLIED")) == true ? true : false;
                                if (isValid)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_3_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_3_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;                                
                            }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr style="height:38px;">
        <td align="right" style="vertical-align:bottom">
            @Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "SFPRHOkButton";
                setting.Text = "Ok";
                setting.Width = Unit.Pixel(60);
                setting.Style.Add("display", "inline-table");
                setting.ClientSideEvents.Click = "OnSFPRHOkButtonClick";

                setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
            }).GetHtml()
            @Html.DevExpress().Button(
            setting =>
            {
                setting.Name = "SFPRHCancelButton";
                setting.Text = "Clear";
                setting.Width = Unit.Pixel(60);
                setting.Style.Add("display", "inline-table");
                setting.ClientSideEvents.Click = "OnSFPRHCancelButtonClick";
            }).GetHtml()
        </td>
    </tr>
</table>
